> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# typegroup

> Type Group - Task, Activity, Document, Sale

## "typegroup" MDO List

Type Group: Task, Activity, Document, Sale

Implemented by the <see cref="T:SuperOffice.CRM.Lists.TypeGroupProvider">TypeGroupProvider</see> class.
The name of the MDO list is 'typegroup'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/typegroup
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("typegroup", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                          | StyleHint | ExtraInfo |
| -- | ----------------------------- | --------- | --------- |
| 1  | SR\_SINGULAR\_SELECTION\_TASK |           |           |
| 2  | SR\_SINGULAR\_ACTIVITY        |           |           |
| 4  | SR\_AA\_DOCUMENTS             |           |           |
| 8  | SR\_AA\_SALES                 |           |           |

## Related MDO Lists

* "typegroupheadings"
* "typegroupheadingswithallitem"
* "typegroupheadingswithallitemwithnoselection"
* "typegroupheadingswithnoselection"
* "typegroupwithallitem"
* "typegroupwithallitemwithnoselection"
* "typegroupwithnoselection"


## Related topics

- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
